For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all deposit summaries
        • GETGet a deposit summary by ID
        • PUTUpdate deposit summary
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsDeposit Summaries

Update deposit summary

PUT
/v1/deposit-summaries/:deposit_summary_id
PUT
/v1/deposit-summaries/:deposit_summary_id
$curl -X PUT https://api.propexo.com/v1/deposit-summaries/deposit_summary_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
3 "data": {}
4}
Update a deposit summary for an integration.
Was this page helpful?
Previous

Get all deposits

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

deposit_summary_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
check_numberstringOptional>=1 character

The check number. Note: Must be unique per pay out.

post_monthstringOptional
The post month of the check.
payment_datestringOptional
The payment date of the check.
total_amount_in_centsintegerOptional

The total amount in cents paid out to the resident for the deposit refund. Note: Partial payments will be accepted, but the invoice will not be marked as paid until the full amount is paid.

x_bank_idstringOptional>=1 character
The external ID of the bank from the integration vendor. You'll likely want to work with your customer to find the appropriate value here.
payment_methodenumOptional

The payment method used for the refund payout. Note: To use EFT, the associated bank account must be configured for electronic payments.

Allowed values:
notesstringOptional>=1 character
The notes for the check.
check_run_datestringOptional
The date the check was run.
financial_account_idstringOptional
The Propexo unique identifier for the financial account
check_cleared_datestringOptional
The date the check was cleared.
is_not_reconciledbooleanOptional
Whether the check is not reconciled

Response

Successful response
job_idstring
The ID of the job created to handle this operation
dataobject

Errors

400
Bad Request Error